Subject: [PATCH] arm64: Add support for Half precision floating point

From: [email-masked] (Suzuki K. Poulose)
Date: Thu, 28 Jan 2016 17:55:17 +0000

On 28/01/16 17:44, Siddhesh Poyarekar wrote:
> On Thu, Jan 28, 2016 at 05:27:05PM +0000, Catalin Marinas wrote:
>> Suzuki's MRS emulation only exposes the CPU feature registers and not
>> the MIDR. So this would help with choosing implementation based on
>> features (e.g. crypto) but not for micro-architecture tuning.
>
> Umm, I'm pretty sure it does, at least the patchset I tested back in
> October did.  I think you may be confusing with revidr.

It does expose MIDR, but with an exception that it provides that of
the CPU where mrs was executed (as documented), unlike the CPU feature
registers which guarantee a system wide view.

Thanks
Suzuki